emfasemfas

Add product assets

Links the given assets to a product, leaving existing links in place.

POST
/products/{identifier}/assets
Authorization<token>

API key authentication using Bearer token format. Use: Bearer

In: header

Path Parameters

identifierstring

Product identifier

Assets to link

assets?array<string>

Response Body

curl -X POST "https://api.emfas.ai/v1/products/string/assets" \  -H "Content-Type: application/json" \  -d '{}'
{
  "pagination": {
    "limit": 100,
    "page": 1,
    "totalPages": 3,
    "totalResults": 234
  },
  "result": [
    {
      "attributes": {
        "property1": [
          {
            "data": null,
            "isMulti": false,
            "locale": "en-US",
            "metaobjectDefinition": "gender",
            "type": "text",
            "value": "Space Black"
          }
        ],
        "property2": [
          {
            "data": null,
            "isMulti": false,
            "locale": "en-US",
            "metaobjectDefinition": "gender",
            "type": "text",
            "value": "Space Black"
          }
        ]
      },
      "identifier": "front-view",
      "mimeType": "image/jpeg",
      "name": "front-view.jpg",
      "url": "https://cdn.example.com/front-view.jpg"
    }
  ]
}
{
  "error": "Internal server error"
}
{
  "error": "Internal server error"
}
{
  "error": "Internal server error"
}
{
  "error": "Internal server error"
}